net.minecraft.server

## Class ConvertingProgressUpdate

- java.lang.Object
- - net.minecraft.server.ConvertingProgressUpdate

- All Implemented Interfaces:
    IProgressUpdate

      public class ConvertingProgressUpdate
      extends Object
      implements IProgressUpdate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConvertingProgressUpdate(MinecraftServer par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayProgressMessage(String par1Str)` "Saving level", or the loading,or downloading equivelent
    `void` | `onNoMoreProgress()`
    `void` | `resetProgresAndWorkingMessage(String par1Str)` This is called with "Working..." by resetProgressAndMessage
    `void` | `resetProgressAndMessage(String par1Str)`
    `void` | `setLoadingProgress(int par1)` Updates the progress bar on the loading screen to the specified amount.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConvertingProgressUpdate

          public ConvertingProgressUpdate(MinecraftServer par1)

  - ### Method Detail

    - #### displayProgressMessage

          public void displayProgressMessage(String par1Str)

      "Saving level", or the loading,or downloading equivelent
      Specified by:
        `displayProgressMessage` in interface `IProgressUpdate`

    - #### setLoadingProgress

          public void setLoadingProgress(int par1)

      Updates the progress bar on the loading screen to the specified amount. Args: loadProgress
      Specified by:
        `setLoadingProgress` in interface `IProgressUpdate`

    - #### resetProgressAndMessage

          public void resetProgressAndMessage(String par1Str)

      Specified by:
        `resetProgressAndMessage` in interface `IProgressUpdate`

    - #### onNoMoreProgress

          public void onNoMoreProgress()

      Specified by:
        `onNoMoreProgress` in interface `IProgressUpdate`

    - #### resetProgresAndWorkingMessage

          public void resetProgresAndWorkingMessage(String par1Str)

      This is called with "Working..." by resetProgressAndMessage
      Specified by:
        `resetProgresAndWorkingMessage` in interface `IProgressUpdate`